# QUORUM_FD_GET

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
ERRORS
SEE ALSO

## NAME

quorum_fd_get − Dispatches callbacks from the quorum service

## SYNOPSIS

#include <corosync/quorum.h>

int quorum_fd_get(quorum_handle_t handle, int *fd);

## DESCRIPTION

The quorum_fd_get function is used to retrieve the file descriptor that may be used with the poll system call to determine when quorum_dispatch(3) won’t block. The handle argument may not be used directly with poll because it is not the file descriptor, but instead an internal identifier used by the quorum library.

## RETURN VALUE

This call returns the CS_OK value if successful, otherwise an error is returned.

## ERRORS

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task

## SEE ALSO

quorum_overview(3), quorum_initialize(3), quorum_finalize(3), quorum_getquorate(3), quorum_trackstart(3), quorum_trackstop(3), quorum_dispatch(3), quorum_context_set(3), quorum_context_get(3)